Android Question Canvas.RemoveClip with API28 and B4A version 8.50

06Pierrick06

Member
Licensed User
Hi

Manifest now needs targetSDKversion set to 28 for an APK to be published.

My B4A version is 8.50 and I face this compatibility issue described in this old post when using "Canvas.RemoveClip" (in Gauge):
https://www.b4x.com/android/forum/threads/pixel-2-crash-invalid-region-op-only-intersect-and-difference-are-allowed.99025/

Erel replied : "It is related to a new restriction in Android 9. It will only happen if you set targetSdkVersion to 28. For now you should set it to 26."

Is there any way to bypass this issue now we have no possibility to stay with API26 ?
Do you confirm if I upgrade to B4A 9.3 my problem will be solved ?

Thanks !
 
Last edited:

DonManfred

Expert
Licensed User
Based on this answer
Canvas.RemoveClip implementation will be updated in the next version of B4A.
i expect it is implemented in B4A 9.3

Proov:
https://www.b4x.com/android/forum/threads/b4a-change-log-versions-history.19332/

v8.80 - December 31, 2018 - https://www.b4x.com/android/forum/threads/b4a-v8-80-has-been-released.100944/

 
Top